using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Naming
{
    // このインターフェースは CA1715:Interface に違反しています。
    public interface Rule1715A
    {
        void Write();
    }

    // このクラスは CA1715:TypeTypeParameter に違反しています。
    public class Rule1715B<Rule>
    {
        public string Name { get; set; }

        // このメソッドは CA1715:MethodTypeParameter に違反しています。
        public void Write<Value>(Value value)
        {
            Console.WriteLine(Name);
            Console.WriteLine(value);
        }
    }
}
